# TPK4186 - Advanced Tools for Performance Engineering
# RemovingDuplicatedElements.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Required modules
import sys
import random

# Creation of the source list
random.seed(12345)
n = 50
l = 1
h = 20
sourceList = [random.randint(l, h) for i in range(0, n)]
print(sourceList)

# Creation of the target list
targetList = []
for i in sourceList:
  if not i in targetList:
    targetList.append(i)
print(targetList)
