# TPK4186 - Advanced Tools for Performance Engineering
# TrainRegularity.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.


def ImportFile(fileName, trains):
  try:
    file = open(fileName, "r")
  except:
    sys.stderr.write("Unable to open file " + fileName + "\n")
    return
  header = True
  for line in file:
    if header:
      header = False
    else:
      line = line.rstrip()
      tokens = line.split(",")
      category = tokens[1]
      line = tokens[2]
      if tokens[3]!="":
        regularity = float(tokens[3])
        print(line + "\t" + category + "\t" + "{:2.2f}".format(regularity) + "\n")

